﻿@*@model IEnumerable<project_asp_mvc.Category>*@
@model project_asp_mvc.Models.HomeModel
@{
    ViewBag.Title = "_MainContent";
}

<div class="maincontent-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">
          
            <div class="col-md-12">
                <div class="latest
                     -product">
                    <h2 class="section-title">Latest Products</h2>
                    @*begin foreach*@
                    @foreach (var cat in Model.ListCategoiesParent)
                    {

                        <h2>@cat.name</h2>
                        <div class="product-carousel">
                            <!--begin product-->
                            @foreach (var product in Model.ListProducts)
                            {
                                List<int> ids = ViewBag.SubCategories[cat.id];
                                if (ids.Contains((int)product.category_id) || product.category_id == cat.id)
                                {
                                    <div class="single-product" style="margin-bottom: 20px;">
                                        <div class="product-f-image">
                                            <img src="~/Content/images/@product.image" alt="">
                                            <div class="product-hover">
                                                <a href="@Url.Action("AddToCart", "Cart", new { id = product.id })" class="add-to-cart-link"><i class="fa fa-shopping-cart"></i> Add to cart</a>

                                                <a href="@Url.Action("Detail", "Home", new { id = product.id })" class="view-details-link"><i class="fa fa-link"></i> See details</a>
                                            </div>
                                        </div>

                                        <h2><a href="@Url.Action("Detail", "Home",new { id = product.id},null)">@product.name</a></h2>

                                        <div class="product-carousel-price">
                                            <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", product.price)@product.unit</ins>
                                        </div>
                                    </div>
                                }
                            }

                            <!--end product-->
                        </div>
                    }
                    @*end foreach*@
                </div>
            </div>
        </div>
    </div>
</div> <!-- End main content area -->

<div class="product-widget-area">
    <div class="zigzag-bottom"></div>
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="single-product-widget">
                    <h2 class="product-wid-title">Top Sellers</h2>
                    <a href="" class="wid-view-more">View All</a>
                    @foreach (Product product in ViewBag.TopSeller)
                    {
                        <div class="single-wid-product">
                            <a href="@Url.Action("Detail", "Home", new { id = product.id})"><img src="~/Content/images/@product.image" alt="" class="product-thumb"></a>
                            <h2><a href="@Url.Action("Detail", "Home", new { id = product.id})">@product.name</a></h2>
                           
                            <div class="product-wid-price">
                                <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", product.price) @product.unit</ins>
                            </div>
                        </div>
                    }
                </div>
            </div>
            <div class="col-md-4">
                <div class="single-product-widget">
                    <h2 class="product-wid-title">Recently Viewed</h2>
                    <a href="#" class="wid-view-more">View All</a>
                    @if (@ViewData["RecentProductList"] != null)
                    {
                        foreach (Product product in ViewData["RecentProductList"] as List<Product>)
                        {
                            <div class="single-wid-product">
                                <a href="@Url.Action("Detail", "Home", new { id = product.id})"><img src="~/Content/images/@product.image" alt="" class="product-thumb"></a>
                                <h2><a href="@Url.Action("Detail", "Home", new { id = product.id})">@product.name</a></h2>
                                
                                <div class="product-wid-price">
                                    <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", product.price) @product.unit</ins>
                                </div>
                            </div>
                        }
                    }
                </div>
            </div>
            <div class="col-md-4">
                <div class="single-product-widget">
                    <h2 class="product-wid-title">Top New</h2>
                    <a href="#" class="wid-view-more">View All</a>
                    @foreach (Product product in ViewBag.TopNew)
                    {
                        <div class="single-wid-product">
                            <a href="@Url.Action("Detail", "Home", new { id = product.id})"><img src="~/Content/images/@product.image" alt="" class="product-thumb"></a>
                            <h2><a href="@Url.Action("Detail", "Home", new { id = product.id})">@product.name</a></h2>
                            
                            <div class="product-wid-price">
                                <ins>@String.Format(System.Globalization.CultureInfo.GetCultureInfo(""), "{0:c0}", product.price) @product.unit</ins>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div> <!-- End product widget area -->
